This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700405 - Broken dependency on deprecated hal
Broken dependency on deprecated hal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: halevt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 716023
  Show dependency treegraph
 
Reported: 2011-04-28 06:41 EDT by Nicola Soranzo
Modified: 2011-09-20 08:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-20 08:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2011-04-28 06:41:16 EDT
Description of problem:
Since HAL has been deprecated upstream for 3 years, all major distributions are removing it. You can find more details on the proposed Fedora Feature page:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package has already been deprecated by its maintainer and blocked from composes for rawhide.
Therefore, unless somebody volunteers to maintain hal, the following broken dependencies for your package should be removed:

halevt-0.1.6.2-4.fc15.i686 requires libhal.so.1

If these dependencies cannot be removed, this package should probably be
deprecated as well:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Version-Release number of selected component (if applicable):
halevt-0.1.6.2-4.fc15
Comment 1 Nicola Soranzo 2011-05-18 08:52:47 EDT
Ping?

I would suggest to deprecate this package for Fedora 16:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 2 Nicola Soranzo 2011-08-23 10:05:54 EDT
Second ping?

There are only two packages depending on HAL now...
Comment 3 Patrice Dumas 2011-08-23 12:50:47 EDT
Indeed halevt without hal doesn't make any sense. I am not sure that there is a replacement yet in fedora, but I don't have a fedora anymore and I don't really follow fedora development anymore, so I don't really know. 

Some candidates could be
https://wiki.archlinux.org/index.php/Udiskie
http://igurublog.wordpress.com/downloads/script-devmon/
https://github.com/fernandotcl/udisks-glue/blob/master/README

Seems like none is in Fedora yet...
Comment 4 Fedora Admin XMLRPC Client 2011-09-16 13:34:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Nicola Soranzo 2011-09-20 08:49:18 EDT
Thanks Manuel for deprecating halevt for F16 and rawhide!
I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.